<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:21 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SW_ResourceCorePackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SW_ResourceCorePackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SW_ResourceCorePackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwAccessService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html" target="_top">Frames</a></li>
<li><a href="SW_ResourceCorePackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore</div>
<h2 title="Interface SW_ResourceCorePackage.Literals" class="title">Interface SW_ResourceCorePackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">SW_ResourceCorePackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_ACCESS_SERVICE">SW_ACCESS_SERVICE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwAccessServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><code><em>Sw Access Service</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_ACCESS_SERVICE__ACCESSED_ELEMENT">SW_ACCESS_SERVICE__ACCESSED_ELEMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Accessed Element</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_ACCESS_SERVICE__IS_MODIFIER">SW_ACCESS_SERVICE__IS_MODIFIER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Is Modifier</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_RESOURCE">SW_RESOURCE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><code><em>Sw Resource</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_RESOURCE__CREATE_SERVICES">SW_RESOURCE__CREATE_SERVICES</a></span></code>
<div class="block">The meta object literal for the '<em><b>Create Services</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_RESOURCE__DELETE_SERVICES">SW_RESOURCE__DELETE_SERVICES</a></span></code>
<div class="block">The meta object literal for the '<em><b>Delete Services</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_RESOURCE__IDENTIFIER_ELEMENTS">SW_RESOURCE__IDENTIFIER_ELEMENTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Identifier Elements</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_RESOURCE__INITIALIZE_SERVICES">SW_RESOURCE__INITIALIZE_SERVICES</a></span></code>
<div class="block">The meta object literal for the '<em><b>Initialize Services</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_RESOURCE__MEMORY_SIZE_FOOTPRINT">SW_RESOURCE__MEMORY_SIZE_FOOTPRINT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Memory Size Footprint</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html#SW_RESOURCE__STATE_ELEMENTS">SW_RESOURCE__STATE_ELEMENTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>State Elements</b></em>' reference list feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SW_RESOURCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_RESOURCE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass SW_RESOURCE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><code><em>Sw Resource</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><code>SwResourceImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwResource--"><code>SW_ResourceCorePackageImpl.getSwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="SW_RESOURCE__IDENTIFIER_ELEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_RESOURCE__IDENTIFIER_ELEMENTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SW_RESOURCE__IDENTIFIER_ELEMENTS</pre>
<div class="block">The meta object literal for the '<em><b>Identifier Elements</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SW_RESOURCE__STATE_ELEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_RESOURCE__STATE_ELEMENTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SW_RESOURCE__STATE_ELEMENTS</pre>
<div class="block">The meta object literal for the '<em><b>State Elements</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SW_RESOURCE__MEMORY_SIZE_FOOTPRINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_RESOURCE__MEMORY_SIZE_FOOTPRINT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SW_RESOURCE__MEMORY_SIZE_FOOTPRINT</pre>
<div class="block">The meta object literal for the '<em><b>Memory Size Footprint</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SW_RESOURCE__CREATE_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_RESOURCE__CREATE_SERVICES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SW_RESOURCE__CREATE_SERVICES</pre>
<div class="block">The meta object literal for the '<em><b>Create Services</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SW_RESOURCE__DELETE_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_RESOURCE__DELETE_SERVICES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SW_RESOURCE__DELETE_SERVICES</pre>
<div class="block">The meta object literal for the '<em><b>Delete Services</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SW_RESOURCE__INITIALIZE_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_RESOURCE__INITIALIZE_SERVICES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SW_RESOURCE__INITIALIZE_SERVICES</pre>
<div class="block">The meta object literal for the '<em><b>Initialize Services</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SW_ACCESS_SERVICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_ACCESS_SERVICE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass SW_ACCESS_SERVICE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwAccessServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><code><em>Sw Access Service</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwAccessServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><code>SwAccessServiceImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwAccessService--"><code>SW_ResourceCorePackageImpl.getSwAccessService()</code></a></dd>
</dl>
</li>
</ul>
<a name="SW_ACCESS_SERVICE__IS_MODIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SW_ACCESS_SERVICE__IS_MODIFIER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute SW_ACCESS_SERVICE__IS_MODIFIER</pre>
<div class="block">The meta object literal for the '<em><b>Is Modifier</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SW_ACCESS_SERVICE__ACCESSED_ELEMENT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SW_ACCESS_SERVICE__ACCESSED_ELEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SW_ACCESS_SERVICE__ACCESSED_ELEMENT</pre>
<div class="block">The meta object literal for the '<em><b>Accessed Element</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SW_ResourceCorePackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwAccessService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html" target="_top">Frames</a></li>
<li><a href="SW_ResourceCorePackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
